# Method: status

Checks the status of a Key Access Control List Service (KACLS) to assess whether
it's active and properly configured.

Internal self-checks, like checking KMS accessibility or logging system health,
can also be performed.

### HTTP request

`GET https://KACLS_URL/status`

Replace `KACLS_URL` with the Key Access Control List
Service (KACLS) URL.

### Path parameters

None.

### Request body

None.

### Response body

The response body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "name": string, "vendor_id": string, "version": string, "server_type": string, "operations_supported": string array } ``` |

| Fields ||
|---|---|
| `name` | `string (UTF-8)` An optional instance name. |
| `operations_supported` | `string array` List of operations supported by the service. The name of the operation is defined by its URL path. |
| `server_type` | `string (UTF-8)` Must be `KACLS`. |
| `vendor_id` | `string (UTF-8)` The KACLS vendor name. |
| `version` | `string (UTF-8)` The software version. |

### Example

This example provides a sample response for the `status` method.

#### Response

    {
      "server_type": "KACLS",
      "vendor_id": "Test",
      "version": "demo",
      "name": "K8 reference",
      "operations_supported": [
        "wrap", "unwrap", "privilegedunwrap",
        "privatekeydecrypt", "privatekeysign", "privilegedprivatekeydecrypt"
      ]
    }